public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/net-http-pipeline/
Date: Sun,  7 Apr 2024 08:31:09 +0000 (UTC)	[thread overview]
Message-ID: <1712478659.2e1e4b38a2f403574ea5bb0e3b1a2c5ec8f3fe07.graaff@gentoo> (raw)

commit:     2e1e4b38a2f403574ea5bb0e3b1a2c5ec8f3fe07
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  7 08:30:09 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Apr  7 08:30:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e1e4b38

dev-ruby/net-http-pipeline: enable ruby33

Fix minitest deprecation.

Closes: https://bugs.gentoo.org/928870
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild b/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild
index 513ac728e47d..97042d4f6d06 100644
--- a/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild
+++ b/dev-ruby/net-http-pipeline/net-http-pipeline-1.0.1-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
 
 inherit ruby-fakegem
 
@@ -12,7 +12,7 @@ HOMEPAGE="https://docs.seattlerb.org/net-http-pipeline/"
 LICENSE="MIT"
 SLOT="1"
 KEYWORDS="~amd64"
-IUSE=""
+IUSE="test"
 
 ruby_add_bdepend "
 	test? ( dev-ruby/minitest )
@@ -20,6 +20,9 @@ ruby_add_bdepend "
 
 all_ruby_prepare() {
 	eapply -p0 "${FILESDIR}/${PN}-accept-encoding.patch"
+
+	sed -e 's/MiniTest::Unit::TestCase/Minitest::Test/' \
+		-i test/test_net_http_pipeline.rb || die
 }
 
 each_ruby_test() {


             reply	other threads:[~2024-04-07  8:31 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-07  8:31 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-31  6:39 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/net-http-pipeline/ Hans de Graaff
2023-07-02  6:35 Hans de Graaff
2022-05-01  8:38 Hans de Graaff
2021-11-25  9:09 Hans de Graaff
2021-11-25  9:09 Hans de Graaff
2020-08-03  5:26 Hans de Graaff
2019-01-31  7:35 Hans de Graaff
2018-02-04 15:25 Hans de Graaff
2017-06-19 18:28 Hans de Graaff
2016-02-09 11:00 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712478659.2e1e4b38a2f403574ea5bb0e3b1a2c5ec8f3fe07.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox